TAU_PROFILE_EXIT(3)

NAME
TAU_PROFILE_EXIT - Alerts the profiling system to an exit call

SYNOPSIS

C/C++:

TAU_PROFILE_EXIT(const char * message);

Fortran:

TAU_PROFILE_EXIT(character message(size));

DESCRIPTION

TAU_PROFILE_EXIT should be called prior to an error exit from the program so that any profiles or event traces can be dumped to disk before quitting.

EXAMPLE

C/C++ :

if ((ret = open(...)) < 0) {
  TAU_PROFILE_EXIT("ERROR in opening a file");
  perror("open() failed");
  exit(1);
}

Fortran :

call TAU_PROFILE_EXIT('abort called')

SEE ALSO

TAU_DB_DUMP(3)